aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/menuducksearch
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/menuducksearch')
-rwxr-xr-xdotfiles/.local/bin/menuducksearch16
1 files changed, 16 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/menuducksearch b/dotfiles/.local/bin/menuducksearch
new file mode 100755
index 0000000..979c365
--- /dev/null
+++ b/dotfiles/.local/bin/menuducksearch
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Gives a dmenu prompt to search DuckDuckGo.
+# Without input, will open DuckDuckGo.com.
+# Anything else, it search it.
+
+# Source settings from .bemenurc
+. $HOME/.bemenurc
+
+choice=$(echo "" | bemenu -i -p "Search DuckDuckGo:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB") || exit 1
+
+if [ "$choice" = "" ]; then
+ $BROWSER "https://duckduckgo.com"
+else
+ $BROWSER "https://duckduckgo.com/?q=$choice&t=ffab&atb=v1-1"
+fi